version: "3.10"
services:
  package:
    container_name: test_data_engineering
    build: .
    tty: true
    network_mode: host
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_HOST: localhost
      POSTGRES_PORT: 5432
      POSTGRES_DB: postgis_test
  postgis:
    container_name: postgres
    image: postgis/postgis:latest
    restart: always
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_DB: postgis_test
    ports:
      - "5432"
      - "127.0.0.1:5432:5432"